summaryrefslogtreecommitdiff
path: root/bsp
diff options
context:
space:
mode:
Diffstat (limited to 'bsp')
-rwxr-xr-xbsp/update-targets.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/bsp/update-targets.sh b/bsp/update-targets.sh
index c4c90cb..dca5340 100755
--- a/bsp/update-targets.sh
+++ b/bsp/update-targets.sh
@@ -13,10 +13,13 @@ EOF
unset DTSFILE
unset CUSTOM_PATH
unset CUSTOM_NAME
+unset NO_FIXUP
+NO_FIXUP=0
while [ "$1" != "" ]
do
case "$1" in
--help) help "$0"; exit 0;;
+ --no-fixup) NO_FIXUP=1; shift 1;;
--target-name) CUSTOM_NAME="$2"; shift 2;;
--sdk-path=*) CUSTOM_PATH="$(echo "$1" | cut -d= -f2-)"; shift 1;;
--sdk-path) CUSTOM_PATH="$2"; shift 2;;
@@ -69,6 +72,10 @@ update_target() {
TARGET=$1
echo "Updating target $TARGET"
+
+ if [ $NO_FIXUP != 1 ]; then
+ ../scripts/fixup-dts --dts $TARGET/$DTS_FILENAME || die "Failed to check $TARGET/$DTS_FILENAME for missing elements"
+ fi
# Compile temporary .dtb
$DTC -I dts -O dtb -o $TARGET/$DTB_FILENAME $TARGET/$DTS_FILENAME || die "Failed to compile $TARGET/$DTS_FILENAME to dtb"